NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::ShipEndCut Features::ShipDesign::ShipEndCut@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateShipEndCutBuilder Features::ShipCollection::CreateShipEndCutBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodFaceEdge, CreationMethodSpecifyCSYS } |
available methods used to place a cutout object More... | |
Public Member Functions | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the coord system Created in NX7.5.0. | |
NXOpen::EndCutBlockBuilder * | EndCutBlock () |
Returns the end cut block (containing the library sketch block and other end cut specific settings) that defines the end cut outline Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::ShipEndCutBuilder::CreationMethod | PlacementType () |
Returns the placement type Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectCSYSFace () |
Returns the select csysface Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectEdge () |
Returns the select edge Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectTargetFace () |
Returns the select target face Created in NX7.5.0. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the coord system Created in NX7.5.0. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::ShipEndCutBuilder::CreationMethod placementType) |
Sets the placement type Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::ShipEndCut Features::ShipDesign::ShipEndCut@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateShipEndCutBuilder Features::ShipCollection::CreateShipEndCutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
EndCutBlock.Angle.Value |
0 |
EndCutBlock.Offset.Value |
0 |
EndCutBlock.SketchBlock.Exp1.Value |
0 |
EndCutBlock.SketchBlock.Exp10.Value |
0 |
EndCutBlock.SketchBlock.Exp11.Value |
0 |
EndCutBlock.SketchBlock.Exp12.Value |
0 |
EndCutBlock.SketchBlock.Exp2.Value |
0 |
EndCutBlock.SketchBlock.Exp3.Value |
0 |
EndCutBlock.SketchBlock.Exp4.Value |
0 |
EndCutBlock.SketchBlock.Exp5.Value |
0 |
EndCutBlock.SketchBlock.Exp6.Value |
0 |
EndCutBlock.SketchBlock.Exp7.Value |
0 |
EndCutBlock.SketchBlock.Exp8.Value |
0 |
EndCutBlock.SketchBlock.Exp9.Value |
0 |
EndCutBlock.SketchBlock.Sketches |
EndCut1 |
EndCutBlock.TaperType |
Trim |
Created in NX7.5.0.
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::ShipEndCutBuilder::CoordSystem | ( | ) |
Returns the coord system
Created in NX7.5.0.
License requirements : None
NXOpen::EndCutBlockBuilder* NXOpen::Features::ShipDesign::ShipEndCutBuilder::EndCutBlock | ( | ) |
Returns the end cut block (containing the library sketch block and other end cut specific settings) that defines the end cut outline
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ShipEndCutBuilder::CreationMethod NXOpen::Features::ShipDesign::ShipEndCutBuilder::PlacementType | ( | ) |
Returns the placement type
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::ShipEndCutBuilder::SelectCSYSFace | ( | ) |
Returns the select csysface
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::ShipEndCutBuilder::SelectEdge | ( | ) |
Returns the select edge
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::ShipEndCutBuilder::SelectTargetFace | ( | ) |
Returns the select target face
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::ShipEndCutBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the coord system
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::ShipEndCutBuilder::SetPlacementType | ( | NXOpen::Features::ShipDesign::ShipEndCutBuilder::CreationMethod | placementType | ) |
Sets the placement type
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementType | placementtype |